Subject: Re: bug#18745:

From: Juanma Barranquero <[email-masked]>
Date: Thu, 29 Oct 2015 04:38:47 +0100

On Wed, Oct 28, 2015 at 5:01 PM, Eli Zaretskii <[email-masked]> wrote:

> If not, then please try digging deeper, because the unmodified test
> work OK for me (not on Windows 10).

Well, mystery solved. It's not a bug or change in Windows 10, it's an
incompatibility between CMD.EXE and TCC.EXE (the TakeCommand shell). I
usually run everything from inside TakeCommand, so COMSPEC points to
TCC.EXE, not CMD.EXE.

Not sure how to fix it. I suppose "nothing to do, just run the tests with
the right COMSPEC" is an option. OTOH, the test is supposed to check for a
CreateProcess "deficiency". And certainly 4DOS/4NT/TCC is a quite popular
shell.